Loading...
Searching...
No Matches
cmprrle.c File Reference
`#include <grass/config.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for cmprrle.c:

Go to the source code of this file.

## Functions

int | G_rle_compress_bound (int src_sz)
int | G_rle_compress (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
int | G_rle_expand (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)

## Function Documentation

## G_rle_compress()

int G_rle_compress | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 73 of file cmprrle.c.

References NULL.

## G_rle_compress_bound()

int G_rle_compress_bound | ( | int | src_sz | ) |

Definition at line 68 of file cmprrle.c.

## G_rle_expand()

int G_rle_expand | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 139 of file cmprrle.c.

References NULL.